## ace-link 0.5.0

=== Makefile ===
emacs ?= emacs
CASK = ~/.cask/bin/cask
BEMACS = $(emacs) -batch -l targets/elpa.el

all: compile test

cask:
	$(shell EMACS=$(emacs) $(CASK) --verbose --debug)

compile:
	$(BEMACS) -l targets/compile.el
clean:
	rm -f *.elc

.PHONY: all clean cask

## ace-link 0.4.0

=== debian/changelog ===
ace-link (0.4.0-1) unstable; urgency=low

  * Initial release (Closes: #839540)

 -- Lev Lamberov <dogsleg@debian.org>  Sat, 1 Oct 2016 21:58:46 +0500

=== debian/control ===
Source: ace-link
Section: lisp
Priority: optional
Maintainer: Debian Emacs addons team <pkg-emacsen-addons@lists.alioth.debian.org>
Uploaders: Lev Lamberov <dogsleg@debian.org>
Build-Depends: debhelper (>= 10),
               dh-elpa
Standards-Version: 3.9.8
Testsuite: autopkgtest-pkg-elpa
Homepage: https://github.com/abo-abo/ace-link
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-emacsen/pkg/ace-link.git/
Vcs-Git: https://anonscm.debian.org/git/pkg-emacsen/pkg/ace-link.git

Package: elpa-ace-link
Architecture: all
Depends: ${elpa:Depends},
         ${misc:Depends},
         emacs,
         elpa-avy
Recommends: emacs (>= 46.0)
Enhances: emacs,
          emacs24
Built-Using: ${misc:Built-Using}
Description: selecting a link to jump to
 This package offers an alternative to tabbing through links in buffers, for
 instance, in an Info buffer. `avy' is used to turn opening a link from an
 O(N) operation into an O(1).
 .
 Supported modes: `Info-mode', `help-mode', `org-mode', `eww-mode',
 `gnus-article-mode', `Custom-mode', `woman-mode', `goto-address-mode'.

## ace-link 0.5.0

=== debian/changelog ===
ace-link (0.5.0-1) unstable; urgency=medium

  * New upstream version 0.5.0
  * Refresh patch
  * d/control: Declare Standards-Version 4.1.1 (no changes needed)
  * d/control: Enchance emacs25, not emacs24
  * d/control: Adjust depencendies (remove emacs and elpa-avy)
  * d/control: Do not declare Testsuit (there are no tests)
  * d/control: Remove Built-Using field
  * d/copyright: Adjust copyright years
  * d/rules: No need to override dh_elpa_test
  * d/rules: Do not pass --parallel to dh (compat is 10)

 -- Lev Lamberov <dogsleg@debian.org>  Sun, 12 Nov 2017 22:02:34 +0500

=== debian/control ===
--- 
+++ 
@@ -5,8 +5,7 @@
 Uploaders: Lev Lamberov <dogsleg@debian.org>
 Build-Depends: debhelper (>= 10),
                dh-elpa
-Standards-Version: 3.9.8
-Testsuite: autopkgtest-pkg-elpa
+Standards-Version: 4.1.1
 Homepage: https://github.com/abo-abo/ace-link
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-emacsen/pkg/ace-link.git/
 Vcs-Git: https://anonscm.debian.org/git/pkg-emacsen/pkg/ace-link.git
@@ -14,13 +13,10 @@
 Package: elpa-ace-link
 Architecture: all
 Depends: ${elpa:Depends},
-         ${misc:Depends},
-         emacs,
-         elpa-avy
+         ${misc:Depends}
 Recommends: emacs (>= 46.0)
 Enhances: emacs,
-          emacs24
-Built-Using: ${misc:Built-Using}
+          emacs25
 Description: selecting a link to jump to
  This package offers an alternative to tabbing through links in buffers, for
  instance, in an Info buffer. `avy' is used to turn opening a link from an

=== debian/watch ===
version=4
         opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%ace-link-$1.tar.gz%" \
             https://github.com/abo-abo/ace-link/tags \
             (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
